Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class DocumentAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.DocumentAction

All Implemented Interfaces:
  DocumentListener, EventListener

public class DocumentAction
extends AbstractAction
implements DocumentListener

Actionimplementierung fuer DocumentEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`DocumentAction()`

Method Summary
`void` | `changedUpdate(DocumentEvent de)`
`void` | `doChangeUpdate(DocumentEvent de)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInsertUpdate(DocumentEvent de)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doRemoveUpdate(DocumentEvent de)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `insertUpdate(DocumentEvent de)`
`void` | `removeUpdate(DocumentEvent de)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentAction

    public DocumentAction()

Method Detail

### insertUpdate

    public void insertUpdate(DocumentEvent de)

  Specified by:
    `insertUpdate` in interface `DocumentListener`

### doInsertUpdate

    public void doInsertUpdate(DocumentEvent de)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `de` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### removeUpdate

    public void removeUpdate(DocumentEvent de)

  Specified by:
    `removeUpdate` in interface `DocumentListener`

### doRemoveUpdate

    public void doRemoveUpdate(DocumentEvent de)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `de` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### changedUpdate

    public void changedUpdate(DocumentEvent de)

  Specified by:
    `changedUpdate` in interface `DocumentListener`

### doChangeUpdate

    public void doChangeUpdate(DocumentEvent de)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `de` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD